/***************************************************************************
 *   Copyright (C) 2007-2008 by Helge Kortendieck  alan@kasmithee.de       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
 ***************************************************************************/

#ifndef _ABOUTHELP_H_
#define _ABOUTHELP_H_

#include <QDialog>
#include <QPoint>
#include <QWidget>

#include "ui_abouthelp.h"


class aboutHelp : public QDialog
{
	Q_OBJECT

public:
	aboutHelp(QDialog* parent = 0);
		~aboutHelp();

protected slots:
    /*$PROTECTED_SLOTS$*/
	void closeDlg();                    // close dialog


private:
	int iD;
	int iD2;
	int iTyp;					// dialog type: 1=About (html), 2=Help (html), 3=Error (txt)
	int iHeight;				// dialog height
	int iWidth;					// dialog width

	Ui::Help uih;				// help widget

	QDialog wHelp;				// help widget

	QPoint qPos;				// position to show about dialog

	QString sText;				// about/help/error text
	QString sTitle;				// dialog title

private slots:
	void setText();				// set text to show: 1=About (html), 2=Help (html), 3=Error (txt)
	void showAbout();			// show about dialog
	void showDlg();
	void showHelp();			// show help dialog
	void showMsg(const QString& sTitle, const QString& sText);	// show error dialog, with long program feedback

	signals:
		void sigAhwHidden();
};

#endif
