/***************************************************************************
 *   Copyright (C) 2007-2009 by Helge Kortendieck  alan@kasmithee.de       *
 *   abouthelp.cpp  -  show question                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
 ***************************************************************************/
#include "question.h"

quest::quest( QDialog* parent )
        : QDialog( parent )
{
  uiq.setupUi( &wQuest );
  connect( uiq.pB_No, SIGNAL( clicked() ), this, SLOT( clickedNo() ) );
  connect( uiq.pB_Yes, SIGNAL( clicked() ), this, SLOT( clickedYes() ) );
}

quest::~quest()
{
}

void quest::showQuest( int iD, const QString& sD )             // show question # x
{
  iQuest = iD;
  sImCur = sD;
  dlgShow();
}

void quest::dlgShow()                       // show help dialog
{
  if( wQuest.isVisible() == true ) {
    wQuest.hide();
  }
  setQuest();
  uiq.tb_Quest->setHtml( sText );
  wQuest.setWindowTitle( sTitle );
  wQuest.resize( iWidth, iHeight );
  wQuest.show();
}

void quest::clickedNo()                     // no clicked
{
  bD = false;
  dlgClose();
}

void quest::clickedYes()                    // yes clicked
{
  bD = true;
  dlgClose();
}

void quest::dlgClose()
{
  wQuest.hide();
  emit sigQuestHidden( bD );
}

void quest::setQuest()                      // set question to ask
{
  switch ( iQuest ) {
    case 1:                                     // error loading image, try loading next image, if any?
      iWidth = 550;
      iHeight = 240;
      sTitle = tr( "Error - try next image?" );
      sText = tr( "<html><body>"
                  "The file<br>"
                  "%1<br>"
                  "could not be loaded!<p>"
                  "It will be deleted from the image list.<p>"
                  "Do you want to try the next image in the list (if any)?"
                  "</body></html>" ).arg( sImCur );
      uiq.pB_No->setText( tr( "&No, abort" ) );
      uiq.pB_Yes->setText( tr( "&Yes, try next" ) );
      break;
  }
}


#include "question.moc"
